package com.pixelized.biblib.repository.book

import androidx.paging.DataSource
import com.pixelized.biblib.model.book.Book

interface IBookRepository {

    suspend fun update()

    suspend fun getBookDetail(id: Int): Book

    fun getAll(): List<Book>

    fun getBook(id: Int): Book

    fun getBookCount(): Int

    fun getBooksSource(): DataSource.Factory<Int, Book>

    fun getNewsSource(): DataSource.Factory<Int, Book>
}